Yandex Cloud
Документация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex StoreDoc
RU
  • Начало работы
  • Управление доступом
  • Инспекции и рекомендации
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • ListByFolder
        • Create
        • Delete
  • Справочник метрик
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Обучающие курсы

В этой статье:

  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • BackupRetentionPolicy
  • CronTab
  1. Справочник API
  2. REST (англ.)
  3. BackupRetentionPolicy
  4. ListByFolder

Managed Service for MongoDB API, REST: BackupRetentionPolicy.ListByFolder

Статья создана
Yandex Cloud
Обновлена 4 сентября 2026 г.
Открыть в Markdown
  • HTTP request
  • Path parameters
  • Query parameters
  • Response
  • BackupRetentionPolicy
  • CronTab

List all retention policies for all clusters in a folder.

HTTP requestHTTP request

GET https://mdb.api.cloud.yandex.net/managed-mongodb/v1/folders/{folderId}/retention_policies

Path parametersPath parameters

Field

Description

folderId

string

Required field. ID of the folder to list retention policies in.
To get the folder ID use a yandex.cloud.resourcemanager.v1.FolderService.List request.

The maximum string length in characters is 50.

Query parametersQuery parameters

Field

Description

pageSize

string (int64)

The maximum number of results per page to return. If the number of available
results is larger than pageSize, the service returns a ListBackupRetentionPoliciesResponse.nextPageToken
that can be used to get the next page of results in subsequent list requests.

The maximum value is 1000.

pageToken

string

Page token. To get the next page of results, set pageToken
to the ListBackupRetentionPoliciesResponse.nextPageToken returned by the previous list request.

The maximum string length in characters is 100.

ResponseResponse

HTTP Code: 200 - OK

{
  "policies": [
    {
      "policyId": "string",
      "clusterId": "string",
      "policyName": "string",
      "createdAt": "string",
      "cron": {
        "minute": "string",
        "hour": "string",
        "dayOfMonth": "string",
        "month": "string",
        "dayOfWeek": "string"
      },
      "retainForDays": "string",
      "description": "string"
    }
  ],
  "nextPageToken": "string"
}

Field

Description

policies[]

BackupRetentionPolicy

List of BackupRetentionPolicy associated with the cluster.

nextPageToken

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListBackupRetentionPoliciesRequest.pageSize, use the nextPageToken as the value
for the ListBackupRetentionPoliciesRequest.pageToken query parameter in the next list request.
Each subsequent list request will have its own nextPageToken to continue paging through the results.

BackupRetentionPolicyBackupRetentionPolicy

Message to describe a retention policy for cluster backups.

Field

Description

policyId

string

Required field. Required. Policy ID.

clusterId

string

Required field. Cluster ID.

The maximum string length in characters is 50.

policyName

string

Required field. Required. Policy name.

createdAt

string (date-time)

Creation timestamp in RFC3339 text format.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

cron

CronTab

CronTab schedule.

retainForDays

string (int64)

Retention duration.

description

string

Human-readable description.

CronTabCronTab

Message to describe a crontab schedule.

Field

Description

minute

string

Minute in cron format. Valid values: 0-59, , ranges (0-30), steps (/5), lists (0,15,30,45).
Defaults to "". Support depends on the database engine.

hour

string

Hour in cron format. Valid values: 0-23, , ranges (8-18), steps (/2), lists (0,12).
Defaults to "". Support depends on the database engine.

dayOfMonth

string

Day of month in cron format. Valid values: 1-31, , ranges (1-15), steps (/2, 1-15/3), lists (1,15,28).
Defaults to "*".

month

string

Month in cron format. Valid values: 1-12, , ranges (1-6), steps (/3), lists (1,6,12).
Defaults to "*".

dayOfWeek

string

Day of week in cron format. Valid values: 0-7 (0 and 7 both mean Sunday), , ranges (1-5), steps (0-6/2), lists (1,3,5).
Defaults to "
".

Была ли статья полезна?

Предыдущая
List
Следующая
Create
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»